phc-intel support for kernel >= 3.10

Discuss about PHC here. For problems please use the PHC Help forum
Post Reply
HansBauer
Posts: 2
Joined: Fri 4. Dec 2009, 14:23

phc-intel support for kernel >= 3.10

Post by HansBauer » Sun 7. Jul 2013, 15:38

Hi all,

for all of you trying to run phc on a recent kernel 3.10 here is a revised patch to make phc compile against that kernel.
Have fun!
Attachments
phc-intel-0.4.1.zip
Revised patch to compile against kernel 3.10
(7.21 KiB) Downloaded 390 times

Getem
Posts: 1
Joined: Sun 25. Aug 2013, 20:17

Re: phc-intel support for kernel >= 3.10

Post by Getem » Sun 25. Aug 2013, 20:22

Where is the phc-intel-0.4.0 for this patch to work with ? I only found phc-intel-pack-rev10.1 with phc-intel-0.4.0, but when I apply the patch to it I get this message:
patch -p1 < linux-phc-0.4.0.patch
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --new-file -a --unified=5 --recursive acpi-cpufreq.c phc-intel.c
|--- acpi-cpufreq.c 2009-10-09 19:14:08.820312000 +0200
|+++ phc-intel.c 2010-01-10 09:51:37.028614000 +0100

lio
Posts: 87
Joined: Wed 2. Mar 2011, 18:37

Re: phc-intel support for kernel >= 3.10

Post by lio » Tue 3. Sep 2013, 11:07

Please have a look at http://www.linux-phc.org/forum/viewtopic.php?f=7&t=267 This should work just fine if your CPU is supported. ;)

lio

Post Reply